Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class LiveDataPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.LiveDataPluginManager

    public class LiveDataPluginManager

extends PluginManager

Field Summary

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`LiveDataPluginManager(Properties props)`

Method Summary
`String[]` | `getCommands(String type)`
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(String type, String command)`
`String` | `getData(String type, String command, org.hyperic.util.config.ConfigResponse config)`
`String` | `getName()`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiveDataPluginManager

    public LiveDataPluginManager(Properties props)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `PluginManager`

### getData

    public String getData(String type,
                          String command,
                          org.hyperic.util.config.ConfigResponse config)
                   throws PluginException

  Throws:
    `PluginException`

### getCommands

    public String[] getCommands(String type)
                         throws PluginException

  Throws:
    `PluginException`

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(String type,
                                                                String command)
                                                         throws PluginException

  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.